/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#include "gui_skin.h"

BitmapFont GuiSkin::small_font;
BitmapFont GuiSkin::big_font;
Bitmap GuiSkin::check_on;
Bitmap GuiSkin::check_off;

SDL_Color GuiSkin::selected_color = {200,100,50};



void GuiSkin::load_big_font(const std::string &filename, const std::wstring &chars)
{
	big_font.load(filename,chars);
}

void GuiSkin::load_small_font(const std::string &filename, const std::wstring &chars)
{
	small_font.load(filename,chars);
}

void GuiSkin::load_check_on(char *filename)
{
	check_on.load_from_file(filename);
}

void GuiSkin::load_check_off(char *filename)
{
	check_off.load_from_file(filename);
}

void GuiSkin::set_selected_color(SDL_Color c)
{
	selected_color = c;
}
		
		
void GuiSkin::draw_selection(SDL_Surface *s, int x, int y, int w, int h)
{
	SDL_Color c = selected_color;
	
	SDL_Rect r1 = {x, y+2, 1, h-4};
	SDL_FillRect(s,&r1, SDL_MapRGB(s->format,c.r,c.g,c.b));

	SDL_Rect r2 = {x+1, y+1, 1, h-2};
	SDL_FillRect(s,&r2, SDL_MapRGB(s->format,c.r,c.g,c.b));

	SDL_Rect r3 = {x+2, y, w-4, h};
	SDL_FillRect(s,&r3, SDL_MapRGB(s->format,c.r,c.g,c.b));

	SDL_Rect r4 = {x+w-2, y+1, 1, h-2};
	SDL_FillRect(s,&r4, SDL_MapRGB(s->format,c.r,c.g,c.b));

	SDL_Rect r5 = {x+w-1, y+2, 1, h-4};
	SDL_FillRect(s,&r5, SDL_MapRGB(s->format,c.r,c.g,c.b));
}
		
