/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#ifndef GUISKIN_H
#define GUISKIN_H

#include "SDL/SDL.h"
#include "bitmapfont.h"
#include "bitmap.h"


class GuiSkin
{
	public:
		static void load_small_font(const std::string &filename, const std::wstring &chars);
		static void load_big_font(const std::string &filename, const std::wstring &chars);
		static void load_check_on(char *filename);
		static void load_check_off(char *filename);
		static void set_selected_color(SDL_Color c);
		
		static inline BitmapFont *get_big_font() { return &big_font; }
		static inline BitmapFont *get_small_font() { return &small_font; }

		static inline Bitmap *get_check_on() { return &check_on; }
		static inline Bitmap *get_check_off() { return &check_off; }

		static inline SDL_Color get_selected_color() { return selected_color; }
				
		static void draw_selection(SDL_Surface *s, int x, int y, int w, int h);
		
	private:
		static BitmapFont small_font;
		static BitmapFont big_font;
		static SDL_Color selected_color;
		
		static Bitmap check_on;
		static Bitmap check_off;
};


#endif
