/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#ifndef HISTORY_H
#define HISTORY_H

#include <string>
#include <vector>
#include "engine.h"
#include "bitmap.h"
#include "gui.h"

class HistoryItem
{
	public:
		std::string filename;
		float percent;
};

class History
{
	public:
		History();
		
		void load();

		void add(const std::string &filename, float percent);
		
		inline int get_item_count() { return files.size(); }
		inline std::string get_item_filename(int i) { return files.at(i).filename; }
		inline float get_item_percent(int i) { return files.at(i).percent; }
		
	private:
		std::vector <HistoryItem> files;
};

#endif
