/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#include "options.h"
#include "stdio.h"
#include <iostream>
#include <fstream>
#include "string.h"

#define CONFIG_FILE "xreader.cfg"

Options::Options()
{
	changed = true;
}


void Options::load()
{

	std::ifstream file(CONFIG_FILE);
	
    file >> opt_justify;
    file >> opt_indent;
    file >> opt_showstatus;
    file >> opt_margin;
    file >> opt_font;
	
	file.close();	
	
	changed = false;
}

void Options::save()
{
	std::ofstream file(CONFIG_FILE);

    file << opt_justify << std::endl;
    file << opt_indent << std::endl;
    file << opt_showstatus << std::endl;
    file << opt_margin << std::endl;
    file << opt_font << std::endl;

	file.close();
	
	changed = false;
}

bool Options::get_justify()
{
	return opt_justify;
}
void Options::set_justify(bool v)
{
	if (v!=opt_justify)
	{
		opt_justify = v;
		changed = true;
	}	
}

bool Options::get_indent()
{
	return opt_indent;
}
void Options::set_indent(bool v)
{
	if (v!=opt_indent)
	{
		opt_indent = v;
		changed = true;
	}
}

bool Options::get_showstatus()
{
	return opt_showstatus;
}
void Options::set_showstatus(bool v)
{
	if (v!=opt_showstatus)
	{
		opt_showstatus = v;
		changed = true;
	}
}

int Options::get_margin()
{
	return opt_margin;
}
void Options::set_margin(int v)
{
	if (v!=opt_margin)
	{
		opt_margin = v;
		changed = true;
	}
}

std::string Options::get_font()
{
	return opt_font;
}

void Options::set_font(const std::string &name)
{
	if (name!=opt_font)
	{
		opt_font = name;
		changed = true;
	}
}


