/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#include "state_menu.h"
#include "defines.h"
#include "bitmap.h"
#include "SDL/SDL.h"
#include "shared.h"
#include "util.h"
#include "gui.h"
#include "gui_skin.h"
#include "widget_text.h"


MenuState::~MenuState()
{
}

void MenuState::on_init()
{
	gui = new Gui(10,100,300,120);
	gui->add_widget(new TextWidget("Abrir archivo", true,true));
	gui->add_widget(new TextWidget("Archivos recientes", true,true));
	gui->add_widget(new TextWidget("Opciones", true,true));
	gui->add_widget(new TextWidget("", false));
	gui->add_widget(new TextWidget("Salir", true,true));
	
	help_text = util::utf8_to_unicode("èSeleccionar");
};
		
void MenuState::on_button_down(int button)
{
	gui->on_button_down(button);
	redraw();
	
	if (button==GP2X_BUTTON_B)
	{
		switch(gui->get_selected())
		{
			case 0: // Abrir
				app->change_to_state(ST_SELECTOR);
				break;
			case 1: // Recientes
				app->change_to_state(ST_HISTORY);
				break;
			case 2: // Opciones
				app->change_to_state(ST_PREFERENCES);
				break;
			case 4: // Salir
				app->stop();
				break;
		}
	}
};

void MenuState::on_button_up(int button)
{
};
	
void MenuState::think(bool first)
{
	if (first)
	{	
		redraw();
	}
}

void MenuState::redraw()
{
	shared::background_image->draw(shared::screen,0,0);
	gui->draw(shared::screen);
	
	GuiSkin::get_small_font()->draw_unicode(help_text,shared::screen, 160, 228, true, false);
		
	//SDL_UpdateRect(shared::screen,0,0,0,0);
	SDL_Flip(shared::screen);
};
