/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#include "defines.h"
#include "gui_skin.h"
#include "widget_file.h"
#include "bitmapfont.h"
#include "util.h"
#include <vector>


FileWidget::FileWidget(const std::string &path, const std::string &filename, bool is_directory, Bitmap *icon)
{
	this->path = path;
	this->filename = filename;
	this->directory = is_directory;
	
	set_icon(icon,false);
	
	// TO DO: autodetect encoding
	encoding = 0;	

	set_text1(util::utf8_to_unicode(filename.c_str()),true);
	build_hint(); // calls set_text2
}

FileWidget::~FileWidget()
{
}


bool FileWidget::on_button_down(int button)
{
	if (button==GP2X_BUTTON_A)
	{
		set_encoding((get_encoding()+1)%NUM_ENCODINGS);	
		return true;
	}
	else return false;
}

bool FileWidget::on_button_up(int button)
{
	return false;
}
		
bool FileWidget::is_selectable()
{
	return true;
}

void FileWidget::build_hint()
{
	if (directory)
	{
		if (filename=="..")
		{
			set_text2(util::utf8_to_unicode("Ir al directorio superior"),true);
		}
		else
		{
			set_text2(NULL,false);
		}
	}
	else
	{
		if (encoding<0)
		{
			set_text2(util::utf8_to_unicode("Esto no parece ser un fichero de texto."),true);
		}
		else
		{
			std::string s = "àCodificación: ";
			switch (encoding)
			{
				case ENC_LATIN1:
					s += "iso8859-1";
					break;
				case ENC_UTF8:
					s += "utf8";
					break;
			}
			set_text2(util::utf8_to_unicode(s.c_str()),true);
		}
	}
}

