/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#ifndef FILEWIDGET_H
#define FILEWIDGET_H

#include "SDL/SDL.h"
#include "widget_basic.h"
#include "bitmap.h"
#include "bitmapfont.h"
#include <vector>

class FileWidget : public BasicWidget
{
	public:
		FileWidget(const std::string &path, const std::string &filename, bool is_directory, Bitmap *icon);
		~FileWidget();

		inline void set_encoding(int new_encoding) { encoding = new_encoding; build_hint(); }
		inline int get_encoding() { return encoding; }
		
		inline std::string get_filename() { return filename; }
		inline std::string get_full_name() { return (path+"/")+filename; }
		inline bool is_directory() { return directory; }

		// inherited
//		int draw(SDL_Surface *dest, int x, int y, int w, bool selected);
//		int get_height(bool selected);
		bool on_button_down(int button);
		bool on_button_up(int button);		
		bool is_selectable();

		virtual void draw_custom_content(SDL_Surface *dest, int x, int y, int w, bool selected) { }
		virtual int get_custom_content_height(bool selected) { return 0; }
	
	private:
	
		std::string path;
		std::string filename;
		bool directory;
		int encoding;

		void build_hint();	
};



#endif
