/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#ifndef HISTORYWIDGET_H
#define HISTORYWIDGET_H

#include "SDL/SDL.h"
#include "widget_file.h"
#include "bitmap.h"
#include "bitmapfont.h"
#include <vector>

class HistoryWidget : public FileWidget
{
	public:
		HistoryWidget(const std::string &path, std::string &filename, Bitmap *icon, float percent);
		
		~HistoryWidget();

		void draw_custom_content(SDL_Surface *dest, int x, int y, int w, bool selected);
		int get_custom_content_height(bool selected);
		
		inline float get_percent() { return percent; }
	
	private:

		float percent;
		Uint16 *text_percent;
		Uint16 *text_path;	
};



#endif
